Bug 22210 - Allow organisations to sign up to Mana KB (don't only ask for firstname lastname)
Summary: Allow organisations to sign up to Mana KB (don't only ask for firstname lastn...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Mana-kb (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Alex Arnaud
QA Contact:
URL:
Keywords:
Depends on: 17047
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-27 10:07 UTC by Katrin Fischer
Modified: 2019-07-18 22:41 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This enhancement changes the Mana registration form to make it easier for organizations to register. It now only requires name and email address, rather than first name, last name and email address.
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 22210: Mana config - Replace firstname and lastname with name (4.27 KB, patch)
2019-05-16 16:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 22210: Mana config - Replace firstname and lastname with name (4.33 KB, patch)
2019-05-19 19:26 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22210: Mana config - Replace firstname and lastname with name (4.39 KB, patch)
2019-06-10 10:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22210: Mana config - Replace firstname and lastname with name (4.43 KB, patch)
2019-06-14 11:34 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22210: (QA follow-up) Tiny gramatical correction (1.76 KB, patch)
2019-06-14 11:34 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-27 10:07:17 UTC
The Mana KB registration form asks for first name and last name. I think a lot of libraries would prefer to sign up with a general account for the organisation (library@...). People can leave the library and more than one person might work with serials/reports. So I think tying the account to a person might not be the best way.
Comment 1 Owen Leonard 2019-01-28 17:24:40 UTC
I agree! As long as the Mana registration is global for the whole Koha instance it makes sense to allow for a more general account.

Right now I don't think it's clear to the user why the interface asks for their name... Is that information going to be displayed somewhere?
Comment 2 Katrin Fischer 2019-05-14 14:52:51 UTC
I am upping severity... I really feel using a name here is wrong. I'd like to at least get a comment? I am not sure what would be needed to change it.
Comment 3 Martin Renvoize 2019-05-14 15:01:53 UTC
Agreed, this is somewhat of a blocker for me too, I can't see our libraries adopting it as is.
Comment 4 Alex Arnaud 2019-05-16 16:08:37 UTC
Created attachment 89854 [details] [review]
Bug 22210: Mana config - Replace firstname and lastname with name

I've applied a patch on Mana test server. If you want to
test with your own Mana instance, do the folowing:
  - checkout bug/22210 branch from
    http://git.biblibre.com/biblibre/koha-mana.git
  - run these sql queries on Mana database (we need an update DB method
    i think):
    - ALTER TABLE librarian ADD COLUMN name VARCHAR(50) AFTER email
    - UPDATE librarian SET name = (SELECT CONCAT(firstname, ' ',
      lastname))
    - ALTER TABLE librarian DROP COLUMN firstname
    - ALTER TABLE librarian DROP COLUMN lastname

Test plan
  - set mana_config to "https://mana-test.koha-community.org",
  - go to admin > Share content with Mana KB,
  - set "Use Mana KB for sharing content" to yes,
  - save,
  - in the 2nd fieldset, enter a name and email,
  - click on send to Mana KB,
  - check that you got a token,
  - you should receive an email (Mana KB registration)
  - check the name is correct
Comment 5 Michal Denar 2019-05-19 19:26:36 UTC
Created attachment 89923 [details] [review]
Bug 22210: Mana config - Replace firstname and lastname with name

I've applied a patch on Mana test server. If you want to
test with your own Mana instance, do the folowing:
  - checkout bug/22210 branch from
    http://git.biblibre.com/biblibre/koha-mana.git
  - run these sql queries on Mana database (we need an update DB method
    i think):
    - ALTER TABLE librarian ADD COLUMN name VARCHAR(50) AFTER email
    - UPDATE librarian SET name = (SELECT CONCAT(firstname, ' ',
      lastname))
    - ALTER TABLE librarian DROP COLUMN firstname
    - ALTER TABLE librarian DROP COLUMN lastname

Test plan
  - set mana_config to "https://mana-test.koha-community.org",
  - go to admin > Share content with Mana KB,
  - set "Use Mana KB for sharing content" to yes,
  - save,
  - in the 2nd fieldset, enter a name and email,
  - click on send to Mana KB,
  - check that you got a token,
  - you should receive an email (Mana KB registration)
  - check the name is correct

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 6 Michal Denar 2019-05-19 19:30:01 UTC
Hi Alex,
patch works but if I follow ling filed Name, Last nname and e-mail are empty. I know it's on Mana server side ... Is it correct result?

Thank you
Comment 7 Katrin Fischer 2019-05-22 08:55:04 UTC
(In reply to Michal Denar from comment #6)
> Hi Alex,
> patch works but if I follow ling filed Name, Last nname and e-mail are
> empty. I know it's on Mana server side ... Is it correct result?
> 
> Thank you

I've also got some problems with the sign-up process. In my koha-conf.xml I have the mana test server, but when I register, the email I receive reads:
https://ui.mana-kb.koha-community.org/registration?id=aa1JLPnpz6vBshtSpm2f6yr4sKKmJZ26

And clicking on it it tells me my token is too old or doesn't exist?
Comment 8 Marcel de Rooy 2019-05-31 08:52:24 UTC
Moving to FQA. Needs feedback on the previous comments/questions.
Comment 9 Alex Arnaud 2019-06-06 09:39:40 UTC
(In reply to Michal Denar from comment #6)
> Hi Alex,
> patch works but if I follow ling filed Name, Last nname and e-mail are
> empty. I know it's on Mana server side ... Is it correct result?
> 
> Thank you

Fixed on Mana server side
Comment 10 Alex Arnaud 2019-06-06 09:40:26 UTC
(In reply to Katrin Fischer from comment #7)
> (In reply to Michal Denar from comment #6)
> > Hi Alex,
> > patch works but if I follow ling filed Name, Last nname and e-mail are
> > empty. I know it's on Mana server side ... Is it correct result?
> > 
> > Thank you
> 
> I've also got some problems with the sign-up process. In my koha-conf.xml I
> have the mana test server, but when I register, the email I receive reads:
> https://ui.mana-kb.koha-community.org/
> registration?id=aa1JLPnpz6vBshtSpm2f6yr4sKKmJZ26
> 
> And clicking on it it tells me my token is too old or doesn't exist?

Good catch Katrin!
I fixed that in the configuration. Thx
Comment 11 Katrin Fischer 2019-06-10 10:43:12 UTC
Created attachment 90450 [details] [review]
Bug 22210: Mana config - Replace firstname and lastname with name

I've applied a patch on Mana test server. If you want to
test with your own Mana instance, do the folowing:
  - checkout bug/22210 branch from
    http://git.biblibre.com/biblibre/koha-mana.git
  - run these sql queries on Mana database (we need an update DB method
    i think):
    - ALTER TABLE librarian ADD COLUMN name VARCHAR(50) AFTER email
    - UPDATE librarian SET name = (SELECT CONCAT(firstname, ' ',
      lastname))
    - ALTER TABLE librarian DROP COLUMN firstname
    - ALTER TABLE librarian DROP COLUMN lastname

Test plan
  - set mana_config to "https://mana-test.koha-community.org",
  - go to admin > Share content with Mana KB,
  - set "Use Mana KB for sharing content" to yes,
  - save,
  - in the 2nd fieldset, enter a name and email,
  - click on send to Mana KB,
  - check that you got a token,
  - you should receive an email (Mana KB registration)
  - check the name is correct

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2019-06-10 10:44:23 UTC
Thank you Alex!
Comment 13 Alex Arnaud 2019-06-10 13:47:50 UTC Comment hidden (obsolete)
Comment 14 Alex Arnaud 2019-06-10 15:40:55 UTC
Pull request: https://gitlab.com/koha-community/koha-mana/merge_requests/3
Comment 15 Martin Renvoize 2019-06-14 11:34:16 UTC
Created attachment 90592 [details] [review]
Bug 22210: Mana config - Replace firstname and lastname with name

I've applied a patch on Mana test server. If you want to
test with your own Mana instance, do the folowing:
  - checkout bug/22210 branch from
    http://git.biblibre.com/biblibre/koha-mana.git
  - run these sql queries on Mana database (we need an update DB method
    i think):
    - ALTER TABLE librarian ADD COLUMN name VARCHAR(50) AFTER email
    - UPDATE librarian SET name = (SELECT CONCAT(firstname, ' ',
      lastname))
    - ALTER TABLE librarian DROP COLUMN firstname
    - ALTER TABLE librarian DROP COLUMN lastname

Test plan
  - set mana_config to "https://mana-test.koha-community.org",
  - go to admin > Share content with Mana KB,
  - set "Use Mana KB for sharing content" to yes,
  - save,
  - in the 2nd fieldset, enter a name and email,
  - click on send to Mana KB,
  - check that you got a token,
  - you should receive an email (Mana KB registration)
  - check the name is correct

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-06-14 11:34:19 UTC
Created attachment 90593 [details] [review]
Bug 22210: (QA follow-up) Tiny gramatical correction

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2019-06-14 11:35:18 UTC
Works for me and passes QA scripts.

Passing QA
Comment 18 Martin Renvoize 2019-06-14 11:40:48 UTC
On second thoughts, I'm less sure about this.. do we need to version the Mana API as I believe the change on the mana server end is a breaking API change..

I know we're early days so nearly no-one would get caught by it right now, but we should probably get the procedures for such things in place now.
Comment 19 Martin Renvoize 2019-06-14 12:10:58 UTC
Just to clarify that.. if we pushed this as is now (and merged the request at the Mana end too).. then anyone running 19.05.00 Koha would need to use one Mana server whilst anyone running 19.05.01+ would need to point to another.

This just highlights that we need to think differently during QA for this service.
Comment 20 Katrin Fischer 2019-06-18 11:18:30 UTC
We are early enough, let's push this into 19.11.01 (which means now we have translation break, but better now than later) and fix the Mana server at release day if possible.

But I agree that in general we should make sure things stay backwards compatible or version properly.
Comment 21 Martin Renvoize 2019-06-18 11:21:34 UTC
OK, I'll push this as is but I really hope we get API versioning done during the .02 month as by .03 I think this will become a much bigger issue for end users.
Comment 22 Martin Renvoize 2019-06-18 11:23:27 UTC
Nice work!

Pushed to master for 19.11.00
Comment 23 Alex Arnaud 2019-06-21 13:38:27 UTC
Mana test and prod are both up to date
Comment 24 Fridolin SOMERS 2019-07-12 13:11:59 UTC
Pushed to 19.05.x for 19.05.02
Comment 25 Lucas Gass 2019-07-18 22:41:20 UTC
no backport for 18.11.x, missing dependencies